View Issue Details

IDProjectCategoryView StatusLast Update
0023078LazarusIDEpublic2013-02-04 22:16
ReporterBenito van der ZanderAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformamd64OSDebianOS Versionwheezy
Product Version1.1 (SVN)Product Buildr38276 
Target Version1.0.4Fixed in Version1.1 (SVN) 
Summary0023078: regex backreference do not really work with case insensitive search
DescriptionIf you use a regex backreference like $1 in a case insensitive search/replace you don't get the actually matched text, but a lower-case version of it.

Steps To ReproduceWrite ABC

search for (.) (case insensitive, regular expression) and replace it by $1
TagsNo tags attached.
Fixed in Revision39372
LazTarget1.0.4
Widgetset
Attached Files

Activities

Martin Friebe

2012-11-25 20:46

manager   ~0064031

Please test and close if ok

Issue History

Date Modified Username Field Change
2012-10-07 01:45 Benito van der Zander New Issue
2012-10-07 02:47 Martin Friebe LazTarget => 1.2
2012-10-07 02:47 Martin Friebe Status new => confirmed
2012-11-25 20:45 Martin Friebe Status confirmed => assigned
2012-11-25 20:45 Martin Friebe Assigned To => Martin Friebe
2012-11-25 20:46 Martin Friebe Fixed in Revision => 39372
2012-11-25 20:46 Martin Friebe LazTarget 1.2 => 1.0.4
2012-11-25 20:46 Martin Friebe Status assigned => resolved
2012-11-25 20:46 Martin Friebe Fixed in Version => 1.1 (SVN)
2012-11-25 20:46 Martin Friebe Resolution open => fixed
2012-11-25 20:46 Martin Friebe Note Added: 0064031
2012-11-25 20:46 Martin Friebe Target Version => 1.0.4
2013-02-04 22:16 Benito van der Zander Status resolved => closed